Package writer2latex.office

# Class BibMark

java.lang.Object
writer2latex.office.BibMark

public final class BibMark extends Object
This class represents a single bibliography-mark in an ODF document

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static enum`
`BibMark.EntryType`
Entry types in an ODF bibliography marks.

## Constructor Summary

Constructors
Constructor
Description
`BibMark(String sIdentifier, String sEntryType)`
Create a new BibMark from scratch.
`BibMark(Node node)`
Create a new `BibMark` from a text:bibliography-mark node.

## Method Summary

Modifier and Type
Method
Description
`String`
`getEntryType()`
Get the entry type.
`String`
`getField(BibMark.EntryType entryType)`
Return a specific field.
`String`
`getIdentifier()`
Get the identifier.
`void`
`setField(BibMark.EntryType entryType, String sValue)`
Set a specific field.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BibMark

public BibMark(String sIdentifier, String sEntryType)
Create a new BibMark from scratch.

Parameters:
  `sIdentifier` - the unique identifier for this BibMark
  `sEntryType` - the type of entry such as book or article

### BibMark

public BibMark(Node node)
Create a new `BibMark` from a text:bibliography-mark node.

## Method Details

### getIdentifier

public String getIdentifier()
Get the identifier.

Returns:
  the unique identifier of this `BibMark`

### getEntryType

public String getEntryType()
Get the entry type.

Returns:
  the entry type of this `BibMark`

### setField

public void setField(BibMark.EntryType entryType, String sValue)
Set a specific field.

Parameters:
  `entryType` - the type of field to set
  `sValue` - the new value of the field

### getField

public String getField(BibMark.EntryType entryType)
Return a specific field.

Parameters:
  `entryType` - the type of the field to get
Returns:
  the value of the field, or null if the field is not set